# Google Maps Coordinate API . customFieldDef

## Instance Methods

Retrieves a list of custom field definitions for a team.

### Method Details

`list(teamId)`

    Retrieves a list of custom field definitions for a team.

    Args:
      teamId: string, Team ID (required)

    Returns:
      An object of the form:

        { # Collection of custom field definitions for a team.
        "items": [ # Collection of custom field definitions in a team.
          { # Custom field definition.
            "kind": "coordinate#customFieldDef", # Identifies this object as a custom field definition.
            "enumitems": [ # List of enum items for this custom field. Populated only if the field type is enum. Enum fields appear as 'lists' in the Coordinate web and mobile UI.
              { # Enum Item definition.
                "active": True or False, # Whether the enum item is active. Jobs may contain inactive enum values; however, setting an enum to an inactive value when creating or updating a job will result in a 500 error.
                "kind": "coordinate#enumItemDef", # Identifies this object as an enum item definition.
                "value": "A String", # Custom field value.
              },
            ],
            "name": "A String", # Custom field name.
            "enabled": True or False, # Whether the field is enabled.
            "requiredForCheckout": True or False, # Whether the field is required for checkout.
            "type": "A String", # Custom field type.
            "id": "A String", # Custom field id.
          },
        ],
        "kind": "coordinate#customFieldDefList", # Identifies this object as a collection of custom field definitions in a team.
      }